# External Entity Server

**External Entity Server** is part of the External Entity ecosystem and was developed to expose Drupal entity resources (such as nodes, taxonomy terms, or paragraphs) via a structured API endpoint. These resources can then be consumed by other Drupal sites using the [External Entity](https://www.drupal.org/project/external_entity) module, allowing remote content to be displayed as if it were local—using familiar tools like Views and view modes.

This module is designed for site builders who want a streamlined, Drupal-native way to share and display live content across multiple sites without duplication or decoupling.

For a full description of the module, visit the
[project page](https://www.drupal.org/project/external_entity_server).

Submit bug reports and feature suggestions, or track changes in the
[issue queue](https://www.drupal.org/project/issues/external_entity_server).

---

## Requirements

This module requires no modules outside of Drupal core.

---

## Recommended modules

- [External Entity (Consumer)](https://www.drupal.org/project/external_entity):
  Enables Drupal sites to consume data resources exposed by External Entity Server or other sources.

---

## Installation

Install as you would normally install a contributed Drupal module. For further information, see
[Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).

---

## Configuration

1. Enable the module at **Administration > Extend**.
2. Go to **Configuration > Services > External Entity Server** to configure shared resources.
3. Define one or more entity types (e.g., nodes, terms) as resources to expose.
4. Optionally configure:
   - **Authentication** to restrict access (supports open or cookie-based access).
   - **Cache Invalidation** to ensure consuming sites display fresh content.

Now you can use the External Entity module to consume the resources exposed by this module.

---

## Maintainers

- Travis Tomka ([droath](https://www.drupal.org/u/droath))

**Sponsored by:**
[Corning Museum of Glass](https://home.cmog.org)
